SystemOrganization addCategory: #ConfigurationOfWeightLiftLog!

Object subclass: #ConfigurationOfWeightLiftLog
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfWeightLiftLog'!

!ConfigurationOfWeightLiftLog commentStamp: 'MarkNelson 5/11/2016 22:25' prior: 0!
Script to load the development version: 
Gofer new smalltalkhubUser: 'voronos' project: 'WeightLiftLog'; package: 'ConfigurationOfWeightLiftLog'; load.
(Smalltalk at: #ConfigurationOfWeightLiftLog) loadDevelopment.

Please comment me using the following template inspired by Class Responsibility Collaborator (CRC) design:

For the Class part:  State the name of the class with one line description: For example, I'm xxx the root of the hierarchy of visitor objects.

For the Responsibility part: Three sentences about my main responsibility, what I'm doing, what services do I offer.

For the Collaborators Part: State my main collaborators and one line about how I interact with them. 

Public API and Key Messages

- message one   
- message two 
- what is the way to create instances is a plus.

   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.

    Instance Variables
	project:		<Object>


    Implementation Points!

!ConfigurationOfWeightLiftLog class methodsFor: 'development support' stamp: 'MarkNelson 5/9/2016 07:39'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfWeightLiftLog class methodsFor: 'private' stamp: 'MarkNelson 5/9/2016 07:39'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfWeightLiftLog class methodsFor: 'private' stamp: 'MarkNelson 5/9/2016 07:39'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfWeightLiftLog class methodsFor: 'private' stamp: 'MarkNelson 5/9/2016 07:39'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfWeightLiftLog class methodsFor: 'metacello tool support' stamp: 'MarkNelson 5/9/2016 07:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfWeightLiftLog class methodsFor: 'loading' stamp: 'MarkNelson 5/9/2016 07:39'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfWeightLiftLog class methodsFor: 'loading' stamp: 'MarkNelson 5/9/2016 07:39'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfWeightLiftLog class methodsFor: 'loading' stamp: 'MarkNelson 5/9/2016 07:39'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfWeightLiftLog class methodsFor: 'accessing' stamp: 'MarkNelson 5/9/2016 07:39'!
project

	^self new project! !

!ConfigurationOfWeightLiftLog class methodsFor: 'development support' stamp: 'MarkNelson 5/9/2016 07:39'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 5/21/2016 00:23'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/voronos/WeightLiftLog/main/'.
		spec 
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Bootstrap' with: [
				spec
					className: #ConfigurationOfBootstrap;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Seaside3' with: [
				spec
					className: #ConfigurationOfSeaside3;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'SandstoneDb' with: [
				spec
					className: #ConfigurationOfSandstoneDb;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ].
		spec package: 'WeightLiftLog' with: [
				spec requires: #('Roassal2' 'Seaside3' 'Bootstrap' 'SandstoneDb' ). ]. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 8/21/2016 09:17'!
baseline02: spec
	<version: '0.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/voronos/WeightLiftLog/main/'.
		spec 
			project: 'Bootstrap' with: [
				spec
					className: #ConfigurationOfBootstrap;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Seaside3' with: [
				spec
					className: #ConfigurationOfSeaside3;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'SandstoneDb' with: [
				spec
					className: #ConfigurationOfSandstoneDb;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Rickshaw' with: [
				spec
					className: #ConfigurationOfRickshaw;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/emaringolo/rickshaw/main/' ].
		spec package: 'WeightLiftLog' with: [
				spec requires: #('Bootstrap' 'Seaside3' 'SandstoneDb' 'Rickshaw' ). ]. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 10/25/2016 18:28'!
baseline03: spec
	<version: '0.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/voronos/WeightLiftLog/main/'.
		spec 
			project: 'Bootstrap' with: [
				spec
					className: #ConfigurationOfBootstrap;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Seaside3' with: [
				spec
					className: #ConfigurationOfSeaside3;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'SandstoneDb' with: [
				spec
					className: #ConfigurationOfSandstoneDb;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ];
			project: 'Rickshaw' with: [
				spec
					className: #ConfigurationOfRickshaw;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/emaringolo/rickshaw/main/' ];
			project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/' ].
		spec package: 'WeightLiftLog' with: [
				spec requires: #('Bootstrap' 'Seaside3' 'SandstoneDb' 'Rickshaw' ). ]. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'accessing' stamp: 'MarkNelson 5/9/2016 07:39'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfWeightLiftLog methodsFor: 'symbolic versions' stamp: 'MarkNelson 10/25/2016 18:28'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.3-baseline'.
! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 5/30/2016 23:04'!
installSDFileStore
	[ 
	SDActiveRecord
		setStore: SDFileStore new;
		warmUpAllClasses ] forkAndWait! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 5/11/2016 22:14'!
postLoadForCore: loader package: packageSpec
	self setupSandstone.
	self setupSeaside! !

!ConfigurationOfWeightLiftLog methodsFor: 'accessing' stamp: 'MarkNelson 5/9/2016 07:39'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 5/30/2016 23:07'!
setupSandstone
	SDActiveRecord store class = SDFileStore
		ifFalse: [ self installSDFileStore ]
		ifTrue: [ WLGroup makeBackup ].	"	WLGroup warmUp.	This section may need some work. It doesn't appear to create the Avalon group when it is run the first time. I think that is because the SDAbstractStore method forks, and we try to save the WLGroup before the file store is done being installed. So I changed the install to wait for the file store install to be finished before creating the Avalon group."
	WLGroup find: [ :group | group groupName = 'Avalon' ] ifAbsent: [ (WLGroup named: 'Avalon') save ]! !

!ConfigurationOfWeightLiftLog methodsFor: 'baselines' stamp: 'MarkNelson 5/30/2016 22:07'!
setupSeaside
	ZnZincServerAdaptor startOn: 8080.
	WLLoginTask initialize! !

!ConfigurationOfWeightLiftLog methodsFor: 'symbolic versions' stamp: 'MarkNelson 10/25/2016 18:21'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.5'.
! !

!ConfigurationOfWeightLiftLog methodsFor: 'versions' stamp: 'MarkNelson 7/17/2016 16:34'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.1'.
		spec author: 'MarkNelson'.
		spec timestamp: '7/17/2016 16:33'.
		spec 
			project: 'Roassal2' with: '1.12';
			project: 'Bootstrap' with: '0.15.2';
			project: 'Seaside3' with: '3.1.4.2';
			project: 'SandstoneDb' with: '1.0'.
		spec package: 'WeightLiftLog' with: 'WeightLiftLog-MarkNelson.50'. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'versions' stamp: 'MarkNelson 7/25/2016 22:14'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'MarkNelson'.
		spec timestamp: '7/25/2016 22:14'.
		spec 
			project: 'Roassal2' with: '1.12';
			project: 'Bootstrap' with: '0.15.2';
			project: 'Seaside3' with: '3.1.4.2';
			project: 'SandstoneDb' with: '1.0'.
		spec package: 'WeightLiftLog' with: 'WeightLiftLog-MarkNelson.56'. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'versions' stamp: 'MarkNelson 8/21/2016 09:22'!
version03: spec
	<version: '0.3' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'MarkNelson'.
		spec timestamp: '8/21/2016 09:22'.
		spec 
			project: 'Bootstrap' with: '0.15.2';
			project: 'Seaside3' with: '3.1.4.2';
			project: 'SandstoneDb' with: '1.0';
			project: 'Rickshaw' with: '0.1-baseline'.
		spec package: 'WeightLiftLog' with: 'WeightLiftLog-MarkNelson.65'. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'versions' stamp: 'MarkNelson 8/21/2016 09:43'!
version04: spec
	<version: '0.4' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4'.
		spec author: 'MarkNelson'.
		spec timestamp: '8/21/2016 09:43'.
		spec 
			project: 'Bootstrap' with: '0.15.2';
			project: 'Seaside3' with: '3.1.4.2';
			project: 'SandstoneDb' with: '1.0';
			project: 'Rickshaw' with: '0.1-baseline'.
		spec package: 'WeightLiftLog' with: 'WeightLiftLog-MarkNelson.66'. ].
! !

!ConfigurationOfWeightLiftLog methodsFor: 'versions' stamp: 'MarkNelson 10/25/2016 18:21'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5'.
		spec author: 'MarkNelson'.
		spec timestamp: '10/25/2016 18:21'.
		spec 
			project: 'Bootstrap' with: '0.15.2';
			project: 'Seaside3' with: '3.1.4.2';
			project: 'SandstoneDb' with: '1.0';
			project: 'Rickshaw' with: '0.1-baseline'.
		spec package: 'WeightLiftLog' with: 'WeightLiftLog-MarkNelson.70'. ].
! !
